Skip to main content
cURL
curl --request GET \
  --url https://test.deribit.com/api/v2/public/set_heartbeat \
  --header 'Content-Type: application/json' \
  --data '
{
  "jsonrpc": "2.0",
  "id": 9098,
  "method": "public/set_heartbeat",
  "params": {
    "interval": 30
  }
}
'
import requests

url = "https://test.deribit.com/api/v2/public/set_heartbeat"

payload = {
"jsonrpc": "2.0",
"id": 9098,
"method": "public/set_heartbeat",
"params": { "interval": 30 }
}
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 9098,
method: 'public/set_heartbeat',
params: {interval: 30}
})
};

fetch('https://test.deribit.com/api/v2/public/set_heartbeat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "jsonrpc": "2.0",
  "id": 1569,
  "result": "ok"
}

Query Parameters

interval
number
required

The heartbeat interval in seconds, but not less than 10

Example:

30

Response

200 - application/json

Success response

jsonrpc
enum<string>
required

The JSON-RPC version (2.0)

Available options:
2.0
result
enum<string>
required

Result of method execution. ok in case of success

Available options:
ok
id
integer

The id that was sent in the request